/* CellCategories.m
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * But you're better off waiting for the final version.  Please don't
 * distribute outside the company - unless you absolutely must.
 * E-mail bug reports, suggestions, flames, to burkhold@next.com.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import "CellCategories.h"

@implementation ButtonCell (IBButtonCellCategory)

+ makePrototype
{
	return [[self alloc] initTextCell:"Field"];
}

+ (int)defaultMatrixMode
{
	return NX_RADIOMODE;
}

@end

@implementation TextFieldCell (IBTextFieldCellCategory)

+ makePrototype
{
	return [[self alloc] initTextCell:"Field"];
}

+ (int)defaultMatrixMode
{
	return NX_TRACKMODE;
}

@end

@implementation SliderCell (IBSliderCellCategory)

+ makePrototype
{
	return [[self alloc] init];
}

+ (int)defaultMatrixMode
{
	return NX_TRACKMODE;
}

@end