/* RankerInspector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import "Ranker.h"

// Category of Ranker that does the inspector-specific stuff
@interface Ranker (AttributesInspector)

- (const char *)getInspectorClassName;
- finishUnarchiving;

@end

// An inspector for the Ranker class.
@interface RankerInspector:IBInspector
{
	id	rankSwitch;
}


@end
