/* String.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>

@interface String:Object
{
	char *buffer;
}

- init;

- read:(NXTypedStream *)aStream;
- write:(NXTypedStream *)aStream;
- free;

- setStringValue:(const char *)aString;
- (const char *)stringValue;

@end