/* SelChooser.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <objc/Object.h>
#import "../Utilities.subproj/ClassAdditions.h"

@interface SelChooser : Object
{
	id	storage;
	id	window;
	id	browser;
	id	popUp;
	id	selSource;
	SEL	startWith;
	int	numArgs;
}

+ (SEL)chooseSelectorFor:anObject numArgs:(int)num startWith:(SEL)aSel;
- setNumArgs:(int)num;
- setSelSource:anObject;
- setStartWith:(SEL)aSel;
- refreshFromVars;
- (SEL)choose;
- popUpChanged:sender;
- init;
- ok:sender;
- cancel:sender;

@end