/* SelectorAgent.m
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import "SelectorAgent.h"
#import <objc/objc-class.h>

@implementation SelectorAgent

- subdirectoryFor:(void *)anElement sender:sender
{
	return nil;
}

- (BOOL)isLeaf:(void *)anElement sender:sender
{
	return YES;
}

- (const char *)displayStringFor:(void *)anElement sender:sender
{
	return sel_getName(*(SEL *)anElement);
}

- (int)compare:(void *)first with:(void *)second sender:sender
{
	return strcmp(sel_getName(*(SEL *)first), sel_getName(*(SEL *)second));
}

- (const char *)titleOfColumn:(int)col
{
	return NULL;
}

@end