/* TBinderInspector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>

@interface TBinderInspector:Object
{
	id	interfaceAccessorField;
	id	interfaceModifierField;
	id	dataSourceAccessorField;
	id	dataSourceModifierField;
	id	inspectorView;
	id	verifySwitch;
	id	autoUpdateSwitch;
	id	binder;
	id	connectInspector;
	id	fields[4];
}

- awakeFromNib;
- inspectorView;
- inspectBinder:anObject andReturnTo:otherObject;
- choose:sender;
- ok:sender;
- doneAfterDelay:sender;
- done:sender;
- revert:sender;

@end
