/* TDataSourceConnector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>

@interface TDataSourceConnector:Object <IBConnectors>
{
	id	source;
	id	destination;
}

- setSource:anObject;
- source;
- setDestination:anObject;
- destination;
- establishConnection;
- free;
- nibInstantiate;
- renewObject:old to:new;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end
