/* ConnectorAgent.m
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <apps/InterfaceBuilder.h>
#import "ConnectorAgent.h"

@implementation ConnectorAgent

- subdirectoryFor:anObject sender:sender
{
	return nil;
}

- (BOOL)isLeaf:anObject sender:sender
{
	return YES;
}

- (const char *)displayStringFor:anObject sender:sender
{
	return [[anObject destination] name];
}

- (int)compare:first with:second sender:sender
{
	// we don't want connectors to be ordered.
	// therefore, the first < second.
	return -1;
}

- (const char *)titleOfColumn:(int)col
{
	return NULL;
}

@end
