/* SortedListAgent.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

@protocol SortedListAgent

- subdirectoryFor:anObject sender:sender;
- (BOOL)isLeaf:anObject sender:sender;
- (const char *)displayStringFor:anObject sender:sender;
- (int)compare:first with:second sender:sender;
- (const char *)titleOfColumn:(int)col;

@end

