/* StringInspector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>
#import "String.h"
#import "StringAgent.h"

// Category of String that does the inspector-specific stuff
@interface String (AttributesInspector)

- (const char *)getInspectorClassName;
- (NXImage *)getIBImage;

@end

@interface StringAgent (IBImageCategory)

- (NXImage *)getIBImage;

@end

@interface StringInspector:IBInspector
{
	id	valueField;
}

- revertInspector:sender;

@end
