/* SVConnector.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <objc/Object.h>
#import <apps/InterfaceBuilder.h>

// An IB-Connector conforming object to hold our connections
@interface SVConnector:Object <IBConnectors>
{
     id	source;       // the source of the connection
     id	destination;  // what we're connecting to.
}

- destination;
- establishConnection;
- nibInstantiate;
- read:(NXTypedStream *)stream;
- renewObject:old to:new;
- setDestination:anObject;
- setSource:anObject;
- source;
- write:(NXTypedStream *)stream;

@end