/* SelectorBrowsingFunctions.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <objc/Object.h>
#import "../Utilities.subproj/SortedStorage.h"

int hasOneArgument(id src, SEL aSelector);
int hasNoArguments(id src, SEL aSelector);
int isAccessor(id src, SEL aSelector);
int isModifier(id src, SEL aSelector);
SEL modifierFor(SEL aSelector);
SEL accessorFor(SEL aSelector);