/* TToolsPalette.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <appkit/appkit.h>

#import <apps/InterfaceBuilder.h>

//  Master palette class, associates objects with their cover views.
@interface TToolsPalette:IBPalette
{
	id switchView;		//actual SwitchView instance
	id switchViewCover;	//cover view that is dragged
	id timerObject;		//actual timer instance
	id timerView;		//cover view that is dragged
	id rankerView;		//actual Ranker instance
	id rankerCover;		//cover view that is dragged
	id listObject;		//actual List instance
	id listCover;		//cover view that is dragged
	id tBinderObject;		//actual TBinder instance
	id tBinderCover;		//cover view that is dragged
	id sortedList;		//actual SortedList instance
	id sortedListCover;	//cover view that is dragged
	id classAgent;		//actual ClassAgent instance
	id classAgentCover;	//cover view that is dragged
	id stringAgent;		//actual StringAgent instance
	id stringAgentCover;	//cover view that is dragged
}

- finishInstantiate;

@end
