/* ClassAdditions.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import <objc/Object.h>

@interface Object (ClassAdditions)

typedef int (CAObjectFilterFunc)(id son, id father);
typedef int (CAElementFilterFunc)(id aClass, SEL aSelector);

+ (int)subclasses:(id)list allowPosers:(BOOL)yn
						filterWith:(CAObjectFilterFunc)aFunc;
+ (int)methodSelectors:(id)storage includeAncestors:(BOOL)yn
						filterWith:(CAElementFilterFunc)aFunc;

@end
