/* MatrixAdditions.m
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

#import "MatrixAdditions.h"

@implementation Matrix (MatrixAdditions)

- setSelectedRow:(int)aRow
{
	[self selectCellAt:aRow :[self selectedCol]];
	return self;
}

- setSelectedCol:(int)aCol
{
	[self selectCellAt:[self selectedRow] :aCol];
	return self;
}

@end