/* SortedStorageAgent.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */

@protocol SortedStorageAgent

- subdirectoryFor:(void *)anElement sender:sender;
- (BOOL)isLeaf:(void *)anElement sender:sender;
- (const char *)displayStringFor:(void *)anElement sender:sender;
- (int)compare:(void *)first with:(void *)second sender:sender;
- (const char *)titleOfColumn:(int)col;

@end

